Bug 428346 - RFE: clean up errors during ha lvm operations
RFE: clean up errors during ha lvm operations
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: rgmanager (Show other bugs)
5.2
All Linux
low Severity low
: rc
: ---
Assigned To: Lon Hohberger
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-10 18:31 EST by Corey Marthaler
Modified: 2009-04-16 18:56 EDT (History)
2 users (show)

See Also:
Fixed In Version: RHBA-2008-0353
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 10:30:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch (793 bytes, patch)
2008-01-15 17:33 EST, Lon Hohberger
no flags Details | Diff

  None (edit)
Description Corey Marthaler 2008-01-10 18:31:00 EST
Description of problem:
I always seem to find some error in the log when doing different ha lvm operations. 

This one is because a tag is missing on the volume group, but it's 
supposed to be missing until this node becomes the server.
Jan 10 11:57:23 hayes-03 clurgmgrd: [8481]: <err> stop: Could not match
/dev/HAYES/ha3 with a real device


Not sure what this one is for.
Jan 10 11:58:07 hayes-02 clurgmgrd[8033]: <err> #60: Mangled reply from member
#1 during RG relocate


This one could an fyi or something other than a error.
Jan 10 11:58:33 hayes-01 clurgmgrd: [8147]: <err> startFilesystem: Creating
mount point /mnt/lvm3 for device /dev/mapper/HAYES-ha3


Version-Release number of selected component (if applicable):
rgmanager-2.0.32-4.el5
2.6.18-62.el5
Comment 1 Jonathan Earl Brassow 2008-01-15 17:17:14 EST
These are in the fs.sh script, I believe and will require lon's input.

Lon, I believe the important point here is that upon initial startup; if an FS is on top of an logical volume:
1) the file system may not be mounted
2) the logical volume may not exist (until activation)

So, of course "<err> stop: Could not match /dev/HAYES/ha3 with a real device", but that doesn't mean it's 
an error... especially if it is shutting down and not mounted.
Comment 2 Lon Hohberger 2008-01-15 17:33:31 EST
Created attachment 291759 [details]
patch
Comment 3 RHEL Product and Program Management 2008-01-15 17:36:02 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 4 Lon Hohberger 2008-01-15 17:46:07 EST
This was causing an erroneous fail-on-stop which shouldn't have been caused,
therefore, we should include in 5.2 with the rest of the LVM updates.
Comment 5 Corey Marthaler 2008-01-15 18:09:01 EST
Marking lon's fixed verified.
Comment 8 errata-xmlrpc 2008-05-21 10:30:53 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0353.html

Note You need to log in before you can comment on or make changes to this bug.